Bug 1871 - [UPDATE REQUEST] nvidia-long-lived 304.88
: [UPDATE REQUEST] nvidia-long-lived 304.88
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-04 00:22 MSD by Aleksandr Kazantcev
Modified: 2013-04-24 12:41 MSD (History)
4 users (show)

See Also:
RPM Package: nvidia-long-lived-304.88
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-04-04 00:22:02 MSD
CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer Overflow in "NoScanout" Mode.
Comment 1 Aleksandr Kazantcev 2013-04-04 00:43:56 MSD
https://abf.rosalinux.ru/build_lists/1049971
https://abf.rosalinux.ru/build_lists/1049972

Advisory: CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer Overflow in "NoScanout" Mode.

When the NVIDIA driver for the X Window System is operated in "NoScanout" mode, and an X client installs an ARGB cursor that is larger than the expected size (64x64 or 256x256, depending on the driver version), the driver will overflow a buffer. This can cause a denial of service (e.g., an X server segmentation fault), or could be exploited to achieve arbitrary code execution. Because the X server runs as setuid root in many configurations, an attacker could potentially use this vulnerability in those configurations to gain root privileges.  To install an ARGB cursor, an application would require a connection to a running X server. Normally, X servers are configured to only accept authenticated connections from the local host, but some X servers may be configured to more permissively allow connections, and/or to allow connections over a network. 

"NoScanout" mode is enabled implicitly on NVIDIA products which lack display output connectors, and can be enabled explicitly on some other configurations with the X configuration option:

Option "UseDisplayDevice" "none"

NVIDIA GPU drivers for OSes other than Linux, FreeBSD, VMware ESX, and Solaris are not affected.

This vulnerability has been present since NVIDIA driver version 195.22. The overflow is fixed in 304.88, 310.44, 313.30, and all drivers newer than those versions.  NVIDIA recommends that users upgrade to a fixed driver version, or disable NoScanout mode, where possible. 

This vulnerability was identified by NVIDIA. There are no known reports of exploits of this vulnerability in the wild.
Comment 2 Vladimir Potapov 2013-04-04 14:21:05 MSD
The package route to extended testing
Comment 3 Yura Yurochko 2013-04-18 20:55:30 MSD
***************************
Extended report testing
***************************
The package has been tested on 7600 GT Nvidia.
A clean instalation was tested and updating from latest version (308.84) to new version (308.88) was tested too. X-server started without problems, any bugs or artifacts not appeared.
X server segmentation fault is not apparent. Graphics, effects and etc work very good.
Comment 4 Vladimir Potapov 2013-04-19 13:53:59 MSD
x11-driver-video-nvidia-long-lived-304.88-1-rosa2012.1
***************************** Advisory *************************
Security fix CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer Overflow in "NoScanout" Mode.
****************************************************************
QA Verified